## Мониторинг Bareos в Zabbix

### bareos_get_all.sh

Скрипт для получения данных о клиентах и заданиях в Bareos для использования в zabbix.

Возможна работа как с zabbix-agent так и zabbix-sender

# Использование:

Предварительно необходимо создать узел в zabbix и прикрепить к нему шаблон Template_Bareos_Clients.xml

- Вывести список клиентов ввиде zabbix discovery JSON

```bareos_get_all.sh clients-discovery```

- Вывести список названий заданий (job) для клиента

```bareos_get_all.sh client-list-job _CLIENT_NAME_```

- Получить статусы всех заданий для клиента

```bareos_get_all.sh client-get-jobs-status _CLIENT_NAME_```

- Получить статус задания

```bareos_get_all.sh get-job-status _CLIENT_NAME_ _JOB_NAME_```

- Вывести количество задач с определенным статусом

```bareos_get_all.sh count-jobs _JOB_STATUS```

Где:

```
  _CLIENT_NAME_ - имя клиента в bareos
  _JOB_NAME_ - название задачи в bareos
  _JOB_STATUS_ - статус задания в терминах bareos:
      T - Completed successfully
      E - Terminated with errors
      e - Non-fatal error
      f - Fatal error
      W - Terminated with warnings
```

Полный список доступен тут: https://docs.bareos.org/Appendix/CatalogTables.html#jobstatus)