# Отслеживание изменений всех типов DNS-записей для домена

## Описание

Набор скриптов для создания узла в заббикс через REST API. Создан по мотивам https://www.reddit.com/r/zabbix/comments/bhdhgq/zabbix_api_example_using_just_bash_curl_and_jq/

- добавляет узел
- добавляет шаблон
- добавляет группу узлов
- приписывает шаблон и группу к узлу

В состав сервиса входит:

- zabbix_create_host.sh - позволяет создать в zabbix группу узлов, шаблон, узел. В случае если объект уже есть, то будет получен его идентификатор. Используется Zabbix JSON RPC.
- zabbix_jrpc_files - каталог содержит JSON-файлы с описанием процедур по взаимодействия с zabbix
- zabbix_templates - шаблоны zabbix

## Использование

Предварительно требуется изменить значения переменных окружения (если необходимо). Список переменных со значениями по умолчанию:

- BIN_DIR=/usr/local/bin
- ETC_DIR=/usr/local/etc
- LIB_DIR=/usr/local/lib
- ZABBIX_SERVER='http://zabbix.example.com'
- ZABBIX_USER=
- ZABBIX_PASSWORD=
- ZABBIX_HOST_GROUP:-'Virtual Hosts'
- ZABBIX_HOST "Some my host"
- ZABBIX_TEMPLATE_NAME="Template_DNS_Check"

Запуск команды:

```./zabbix_create_host.sh```

